[ org 0x7c00 ]

mov ebx, RANDOM_MSG,
call printLn

mov dx, 0x1fb6 ; store the value to print in dx
call print_hex ; call the function

%include "./print/print.asm"
%include "./print/print_hex.asm"

RANDOM_MSG: db 'Will this work?',0

times 510-($-$$) db 0 ; Pad the boot sector out with zeros
dw 0xaa55